Name:		qt4-qsa
Summary:	Qt Script for Applications
Version:	1.2.2
Release:	2%{?dist}
BuildRequires:	qt4-devel
URL:		http://www.trolltech.com/products/qt/addon/qsa

License: 	GPL
Group: 		Development/Libraries
Source: 	ftp://ftp.trolltech.com/qsa/source/qsa-x11-opensource-%{version}.tar.gz
Patch0:         qt4-qsa-fhs.patch
Buildroot: 	%{_tmppath}/qsa-%{version}-%{release}-root-%(%{__id_u} -n)

%define qtdir	%(qmake-qt4 -query QT_INSTALL_PREFIX)
%define qtinc	%(qmake-qt4 -query QT_INSTALL_HEADERS)
%define qtlib  %(qmake-qt4 -query QT_INSTALL_LIBS)
%define qtdata %(qmake-qt4 -query QT_INSTALL_DATA)


%package devel
Summary:	Development and doc files for qsa 
Requires:	%{name} = %{version}-%{release}
Group:		Development/Libraries

%description
Qt Script for Applications can be used to build scripable applications with Qt.
The workbench tool is included in this release.
Warning: Don't use it for new designs, because it will reach it end of live on
Dec 2008. So wait for Qt 4.3, witch inlcudes a new scripting engine.

%description devel
Development files and the documentation

%prep
%setup -q -n qsa-x11-opensource-%{version}
%patch0 -p1 -z .fhs

%build
export QTDIR=%{qtdir}
export PATH=%{qtlib}/qt4/bin:$PATH
export QTINC=%{qtinc}
export QTLIB=%{qtlib}
export QTDATA=%{qtdata}

#without qt3support
#./configure -release -new-editor -prefix %{qtdir}
./configure -release -prefix %{qtdir} 
#./configure -release
make %{?_smp_mflags} sub-src

%install
rm -rf $RPM_BUILD_ROOT
make -e INSTALL_ROOT=$RPM_BUILD_ROOT install 
rm -rf $RPM_BUILD_ROOT/%{qtdata}/doc
#remove uneeded files
rm -f examples/qsa.prf
find examples -name "Makefile.*" | xargs rm -f
find examples -name ".obj*" | xargs rm -rf
find examples -name ".ui*" | xargs rm -rf
find examples -name ".moc*" | xargs rm -rf
find examples -name ".rcc" | xargs rm -rf

#remove load entry from .pro files
find examples -name "*.pro" | xargs sed -i "/..\/qsa/d" 

#add includes that make install skip:(
install -p -m 644 src/ide/qsworkbench.h $RPM_BUILD_ROOT%{qtinc}/
install -p -m 644 src/qsa/qsutilfactory.h  $RPM_BUILD_ROOT%{qtinc}/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.GPL changes* README
%{qtlib}/libqsa.so.*


%files devel
%defattr(0644,root,root)   
%{qtinc}/*
%{qtlib}/libqsa.so
%{qtdata}/mkspecs/features/qsa.prf
%defattr(0644,root,root,0755)
%doc examples
%doc doc/html

%changelog 
* Thu Feb 13 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.2.2-2%{?dist}
- fix Bug 210544, thanks Hans de Goede

* Thu Jan 11 2007 Frank Büttner  <frank-buettner@gmx.net> - 1.2.2-1%{?dist}
- update to 1.2.2
- add warning about end of life

* Mon Nov 08 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-20%{?dist}
- fix doc files Bug #214577

* Sat Oct 14 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-19%{?dist}
- back to old one because the patch for bug 210544 fails

* Thu Oct 12 2006 Frank Büttner <frank-buettner@gmx.net> - 1.2.1-18%{?dist}
- fix for bug 210544

* Mon Sep 11 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-17%{?dist}
- second rebuild for FC6

* Mon Aug 07 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-16%{?dist}
- fix build for EMT64

* Mon Aug 07 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-15%{?dist}
- Try to bypass the broken paths in the Qt4 package.
  Not nice, but no other way until the Qt4 package will be corrected.

* Wed Aug 02 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-14%{?dist}
- try to compile QSA with Qt 4.2

* Mon Jun 12 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-13%{?dist}
- try agin to fix the x86_64 build 

* Mon Jun 12 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-12%{?dist}
- fix build for x86_64

* Sun Jun 11 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-11%{?dist}
- rename package to qt4-qsa

* Sun Jun 11 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-10%{?dist}
- add readme file to the main package
- fix empty debug packe(bug in the Qt lib)
- fix prevent to install it on Qt => 4.2

* Thu Jun 08 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-9%{?dist}
- fix file attributes in the devel package

* Thu Jun 08 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-8%{?dist}
- replace path finnding via qmake
- modify file attributes

* Thu Jun 08 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-7%{?dist}
- take nicer one to find the include path for Qt

* Thu Jun 08 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-6%{?dist}
- fix URL and Source
- fix .so only lib file in the devel package

* Thu Jun 08 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-5%{?dist}
- fix lib path for EMT64

* Sun May 28 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-4%{?dist}
- enable qt3support
- Prevent for compiling using Qt >=4.2 witch will need another version of QSA.
- add missing .h files

* Sun May 28 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-3%{?dist}
- fix dependency's and remove now unnecessary help stuff

* Sun May 14 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-2%{?dist}
- Path of Qt not need to be hard coded now. (Must be checked with the 
  ready Qt package)
- add exemples to the devel package

* Sat May 13 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-1%{?dist}
- start build the package
